<?php
/**
 *
 * Audio Post Format
 * @since 1.0
 * @version 1.2.0
 *
 */
?>

<div class="blog-content">
	<?php if ( has_post_thumbnail() ) { ?>
		<a href="<?php the_permalink(); ?>">
			<?php the_post_thumbnail( 'miami_blog_post', array( 'class' => 'img-responsive' ) ); ?>
		</a>
	<?php } ?>

	<div class="content">
		<div class="categories">
			<?php the_category('<span>|</span>'); ?>
		</div>

		<?php the_title( sprintf( '<h3><a href="%s" class="title">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>

		<div class ="descr"><?php the_excerpt(); ?></div>
	</div>

	<div class="info">
		<div class="info-item user"><i class="fa fa-user" aria-hidden="true"></i><?php the_author_posts_link(); ?></div>
		<div class="info-item date"><i class="fa fa-calendar" aria-hidden="true"></i>
			<?php if( ! get_the_title() ): ?>
				<a href="<?php the_permalink(); ?>">
			<?php endif; ?>
			
			<span><?php the_time( get_option( 'date_format' ) ); ?></span>
			
			<?php if( ! get_the_title() ) : ?>
				</a>
			<?php endif; ?>
		</div>
		<div class="info-item comments"><i class="fa fa-comment" aria-hidden="true"></i><span><?php comments_number('0','1','%'); ?></span></div>
	</div>
</div>