<?php
/**
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package miami
 *
 */
$error_title = cs_get_option( 'error_title' );
$error_message = cs_get_option( 'error_message' );
if ( empty( $error_title ) ) { $error_title = 'NOTHING FOUND'; }
if ( empty( $error_message ) ) { $error_message = 'Please Use Search'; } ?>

<div class="blog-content">
	<div class="content">
		<div class="categories">
			<?php the_category('<span>|</span>'); ?>
		</div>

		<h3><a href="%s" class="title"><?php echo esc_html( $error_title ); ?></a></h3>

		<div class ="descr">
			<?php 
				echo esc_html( $error_message );
				get_search_form(); 
			?>
		</div>
	</div>

	<div class="info">
		<div class="info-item user"><i class="fa fa-user" aria-hidden="true"></i><?php the_author_posts_link(); ?></div>
		<div class="info-item date"><i class="fa fa-calendar" aria-hidden="true"></i>
			<?php if( ! get_the_title() ) : ?>
				<a href="<?php the_permalink();?>">
			<?php endif; ?>
			
			<span><?php the_time( get_option( 'date_format' ) ); ?></span>
			
			<?php if(!get_the_title()):?>
				</a>
			<?php endif; ?>
		</div>
		<div class="info-item comments"><i class="fa fa-comment" aria-hidden="true"></i><span><?php comments_number('0','1','%'); ?></span></div>
	</div>
</div>